Skip to main content
GET
/
client-links
/
{id}
Retrieve a linked client relationship by ID
curl --request GET \
  --url https://api.artu.ai/client-links/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Environment: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "client": {
    "type": "<unknown>",
    "name": "<string>",
    "scopes": [],
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "nationalities": "<unknown>",
    "externalId": "<string>",
    "metadata": {},
    "birthDate": "2023-12-25",
    "middleName": "<string>",
    "lastName": "<unknown>",
    "employment": {
      "isEmployee": true,
      "employeeId": "<string>",
      "position": "<string>",
      "department": "<string>",
      "startDate": "2023-12-25"
    },
    "scopeData": {
      "MX": {
        "rfc": "<string>",
        "curp": "<string>",
        "actividadVulnerable": {
          "ARI": {},
          "AVI": {
            "username": "<unknown>"
          },
          "INM": {},
          "JYS": {},
          "MJR": {},
          "MPC": {},
          "TSC": {},
          "VEH": {}
        },
        "cnbv": {
          "TRANSMISOR": {
            "numeroCuenta": "<string>",
            "claveSujetoObligado": "<string>"
          }
        }
      },
      "US": "<unknown>"
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "metadata": {}
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the dashboard.

X-Environment
string
header
required

Target environment for the request. Must be "test" or "live".

Path Parameters

id
string<uuid>
required

Response

200 - application/json

OK

id
string<uuid>
required
relationshipType
enum<string>
required
Available options:
legal_representative,
controlling_beneficiary
client
object
required
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
metadata
object